View Issue Details

IDProjectCategoryView StatusLast Update
0002533unrealircdpublic2015-10-17 12:07
ReporterDodge_RamAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS*NIX/FreeBSDOS Version
Product Version 
Target VersionFixed in Version4.0.0-rc2 
Summary0002533: Notice not sent when /*line, /shun is used without parameters to display/list bans
DescriptionI noticed that when someone (an oper) uses /*line (eg: /gzline) or /shun without any parameters, it does the same thing as if someone did /stats G or /stats K or /stats s, but yet it (the IRCd) doesn't send a notice similar to:

"-BlueSky.Skynet.gov- Stats 'G' requested by Blah (Hmm@NetAdmin.Test.com)"

I don't know if this is intended or not, but I think it (the IRCd) should send out the notice if it sends out a notice when someone does the /stats equivilant.

Thanks,
Dodge
TagsNo tags attached.
3rd party modules

Activities

Dodge_Ram

2005-05-25 07:09

reporter   ~0009979

Oops... Forgot to add the product version.. Anyway.. I'm using UnrealIRCd 3.2.3.

stskeeps

2007-04-27 06:41

reporter   ~0013876

Bump. Does this still exist?

vonitsanet

2007-04-29 18:07

reporter   ~0013934

Yes.
It Still exist.

WolfSage

2007-05-13 10:52

reporter   ~0014113

Patched in .2394

syzop

2011-07-19 17:56

administrator   ~0016714

did not look at patch, but would be preferably to have a generic solution for things like this.. to avoid duplicate code.
or, if lazy, just re-port ;)

dboyz

2015-10-02 09:53

reporter   ~0018732

More archeology: https://github.com/unrealircd/unrealircd/commit/1a7c68a72bc105e5ae21ebd60a9cc2cdea7aa28e

syzop

2015-10-17 12:06

administrator   ~0018756

Fixed, we use do_cmd() now as suggested back in 2011.

[unreal40 c5ad32e] Make /GLINE, /ZLINE, etc.. without parameters call /STATS .. internally so we can get rid of duplicate code. Previously notices were missing if you used f.e. /SHUN without paramers, reported by Dodge_Ram (0002533).
https://github.com/unrealircd/unrealircd/commit/c5ad32e909e1f5b27a48e8a70570f7ce7f0ee870

syzop

2015-10-17 12:07

administrator   ~0018757

I also ripped out strange support for "TKL ?" when I was at it. Don't think it was everrrrr being used, seems rather silly.

Issue History

Date Modified Username Field Change
2005-05-25 07:03 Dodge_Ram New Issue
2005-05-25 07:09 Dodge_Ram Note Added: 0009979
2007-04-27 06:41 stskeeps Note Added: 0013876
2007-04-27 06:41 stskeeps Status new => feedback
2007-04-29 18:07 vonitsanet Note Added: 0013934
2007-04-30 00:58 stskeeps Status feedback => confirmed
2007-05-13 10:52 WolfSage Note Added: 0014113
2007-05-13 11:03 WolfSage Status confirmed => resolved
2007-05-13 11:03 WolfSage Resolution open => fixed
2011-07-19 17:56 syzop Note Added: 0016714
2011-07-19 17:56 syzop Status resolved => needs re porting
2015-10-02 09:53 dboyz Note Added: 0018732
2015-10-17 12:06 syzop Note Added: 0018756
2015-10-17 12:06 syzop Status needs re porting => resolved
2015-10-17 12:06 syzop Fixed in Version => 4.0.0-rc2
2015-10-17 12:06 syzop Assigned To => syzop
2015-10-17 12:07 syzop Note Added: 0018757